<!--
 * @Description: 资源分享---- 子模块
-->
<template>
  <el-form style="font-color: 0" label-width="80px" label-position="right">
    <el-form-item label="目录名称"><span>{{ catalogObject.name }}</span> </el-form-item>
    <el-form-item label="目录描述">
      <el-input disabled type="textarea" :autosize="{ minRows: 2 }" v-model="catalogObject.described" placeholder="">
      </el-input>
    </el-form-item>
    <el-form-item label="目录共享">
      <ShareElementItem ref="shareElementItemRef" />
    </el-form-item>
  </el-form>
</template>
<script>
import ShareElementItem from "@/components/datasource/ShareElementItem.vue";
export default {
  name: "addResourceMenu",
  components: {
    ShareElementItem,
  },
  props: {
    catalogObject: {
      type: Object,
    }

  },
  data() {
    return {
    };
  },
  computed: {
    shareItem() {
      let item = {};
      item.valueUser = this.$refs.shareElementItemRef.valueUser;
      item.dataUser = this.$refs.shareElementItemRef.dataUser;
      item.valueDept = this.$refs.shareElementItemRef.valueDept;
      item.dataDept = this.$refs.shareElementItemRef.dataDept;
      return item;
    },
  },
  methods: {},
};
</script>